lkml.org 
[lkml]   [2001]   [Jan]   [24]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
SubjectRE: fyi megaraid problems
Date
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=iso-8859-1">
<META NAME="Generator" CONTENT="MS Exchange Server version 5.5.2650.12">
<TITLE>RE: fyi megaraid problems</TITLE>
</HEAD>
<BODY>

<P><FONT SIZE=2>I've compiled the 2.2.18 and 2.4.0 kernels with the latest megaraid driver (1.14b)</FONT>
<BR><FONT SIZE=2>and they work well. You should also upgrade your firmware to L148 (bios 3.11).</FONT>
<BR><FONT SIZE=2>I think the firmware revision depends on which model card you have, I have the</FONT>
<BR><FONT SIZE=2>1600 Elite.</FONT>
</P>

<P><FONT SIZE=2>This is on a Penguin Relion 120, 2 CPUs, PIII, 1G RAM.</FONT>
<BR><FONT SIZE=2>Two 35G drives configured as one logical drive.</FONT>
</P>

<P><FONT SIZE=2>I will say that I did float around for a while and found quite a few different</FONT>
<BR><FONT SIZE=2>versions of the driver (1.07b,1.13s,1b08b,1.13s0,1.14b, I have them all!)</FONT>
<BR><FONT SIZE=2>before Venkatesh Ramamurthy at AMI helped me figure this all out. (thanks Venkatesh!)</FONT>
</P>

<P><FONT SIZE=2>Venkatesh posted the 1.14b driver to this list a week or two ago, and you can</FONT>
<BR><FONT SIZE=2>get the firmware upgrade from ami.com.</FONT>
</P>
<BR>
<BR>
<BR>

<P><FONT SIZE=2>-----Original Message-----</FONT>
<BR><FONT SIZE=2>From: Heitzso [<A HREF="mailto:xxh1@cdc.gov">mailto:xxh1@cdc.gov</A>]</FONT>
<BR><FONT SIZE=2>Sent: Wednesday, January 24, 2001 11:51 AM</FONT>
<BR><FONT SIZE=2>To: 'linux-kernel@vger.kernel.org'</FONT>
<BR><FONT SIZE=2>Subject: fyi megaraid problems</FONT>
</P>
<BR>

<P><FONT SIZE=2>don't know if this has been covered/studied</FONT>
</P>

<P><FONT SIZE=2>datapoints I've run across re the megaraid</FONT>
<BR><FONT SIZE=2>(scsi raid driver, american megatrends)</FONT>
</P>

<P><FONT SIZE=2>box: Dell PowerEdge 2300, 2 cpus, 1G RAM</FONT>
</P>

<P><FONT SIZE=2>hard drive setup as single drive via raid</FONT>
<BR><FONT SIZE=2>controller</FONT>
</P>

<P><FONT SIZE=2>RH6.1, compiled 2.2.13, megaraid works!</FONT>
</P>

<P><FONT SIZE=2>RH7.0 install/upgrade breaks on megaraid</FONT>
<BR><FONT SIZE=2>then, after forcing RH7.0 upgrade by hand </FONT>
<BR><FONT SIZE=2>&nbsp;(completely snuffed up with all updates as of jan 23 am ...)</FONT>
<BR><FONT SIZE=2>RH7.0 kernel (out of the rpm box 686 smp) breaks on megaraid</FONT>
<BR><FONT SIZE=2>RH7.0 2.2.16 kernel source from rpm </FONT>
<BR><FONT SIZE=2>&nbsp;compiled using 2.2.13 .config file</FONT>
<BR><FONT SIZE=2>&nbsp;and make oldconfig generates kernel that</FONT>
<BR><FONT SIZE=2>&nbsp;breaks on megaraid (used RH provided</FONT>
<BR><FONT SIZE=2>&nbsp;scripts to compile with kgcc)</FONT>
<BR><FONT SIZE=2>2.2.18 kernel (kernel.org) compiled with gcc on RH7.0</FONT>
<BR><FONT SIZE=2>&nbsp;breaks on megaraid during boot</FONT>
</P>

<P><FONT SIZE=2>BUT! 2.4.1pre10 (kernel.org), compiled with gcc on RH7.0</FONT>
<BR><FONT SIZE=2>&nbsp;the megaraid driver works again!</FONT>
</P>

<P><FONT SIZE=2>I was surprised that even 2.2.18 breaks</FONT>
<BR><FONT SIZE=2>then 2.4.1pre10 works, given RH's alliance</FONT>
<BR><FONT SIZE=2>with Dell.</FONT>
</P>

<P><FONT SIZE=2>I compiled a 2.4.0 and set it up in</FONT>
<BR><FONT SIZE=2>lilo.conf but haven't tried booting to it.</FONT>
</P>

<P><FONT SIZE=2>If it's useful to anyone, now that I have</FONT>
<BR><FONT SIZE=2>a good booting kernel I could recompile the</FONT>
<BR><FONT SIZE=2>old 2.2.13 setup and see whether the problem</FONT>
<BR><FONT SIZE=2>is due to a bad compiler env in RH7.0 or</FONT>
<BR><FONT SIZE=2>due to a bad megaraid module (i.e. if kernel</FONT>
<BR><FONT SIZE=2>that works fine now compiled under 6.1 </FONT>
<BR><FONT SIZE=2>breaks when recompiled under 7.0 then bug</FONT>
<BR><FONT SIZE=2>is in the RH7.0 compiler env; else bug is</FONT>
<BR><FONT SIZE=2>in megaraid shipped with 2.2.16, 2.2.18)</FONT>
</P>

<P><FONT SIZE=2>Let me know if someone needs a datapoint.</FONT>
</P>

<P><FONT SIZE=2>Heitzso</FONT>
<BR><FONT SIZE=2>xxh1@cdc.gov</FONT>
<BR><FONT SIZE=2>-</FONT>
<BR><FONT SIZE=2>To unsubscribe from this list: send the line &quot;unsubscribe linux-kernel&quot; in</FONT>
<BR><FONT SIZE=2>the body of a message to majordomo@vger.kernel.org</FONT>
<BR><FONT SIZE=2>Please read the FAQ at <A HREF="http://www.tux.org/lkml/" TARGET="_blank">http://www.tux.org/lkml/</A></FONT>
</P>

</BODY>
</HTML>
\
 
 \ /
  Last update: 2005-03-22 13:22    [W:0.040 / U:0.132 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site